{% extends 'pathotrack/layout/base.html' %}

{% block content %}

<div class="box">
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">Patients List</h3>
      <div class="ml-auto">
        <form method="POST">
          {% csrf_token %}
          <button class="btn btn-primary" type="submit" name="submit" value="add">
              <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-circle-plus" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                  <path stroke="none" d="M0 0h24v24H0z"/>
                  <circle cx="12" cy="12" r="9" />
                  <line x1="9" y1="12" x2="15" y2="12" />
                  <line x1="12" y1="9" x2="12" y2="15" />
              </svg>
              Add Patient
          </button>
        </form>
      </div>
    </div>
    <div class="card-body border-bottom py-3">
      <div class="row">
        <div class="col-md-3 mb-2 text-muted form-group">
            Name:
            <input type="text" id="name" class="form-control mt-1">
        </div>
        <div class="col-md-3 mb-2 text-muted form-group">
            Phone No:
            <input type="text" id="phone" class="form-control mt-1">
        </div>
        <div class="col-md-3 mb-2 text-muted form-group">
            Date:
            <div class="input-icon">
                <input id="calendar-time" type="date" name="{{ form.patient_dob.name }}" value="{{ form.patient_dob.value|date:"Y-m-d" }}" class="form-control" placeholder="Select a date" />
                <span class="input-icon-addon"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><rect x="4" y="5" width="16" height="16" rx="2" /><line x1="16" y1="3" x2="16" y2="7" /><line x1="8" y1="3" x2="8" y2="7" /><line x1="4" y1="11" x2="20" y2="11" /><line x1="11" y1="15" x2="12" y2="15" /><line x1="12" y1="15" x2="12" y2="18" /></svg>
                </span>
            </div>
        </div>
        <div class="col-md-3 mb-2 text-muted form-group">
            Clear Fields:
            <button id="clearfield" class="form-control mt-1 btn btn-primary" type="submit" name="submit" value="view">
                <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-md" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"></path><path d="M19 19h-11l-4 -4a1 1 0 0 1 0 -1.41l10 -10a1 1 0 0 1 1.41 0l5 5a1 1 0 0 1 0 1.41l-9 9"></path><path d="M18 12.3l-6.3 -6.3"></path></svg>
                Clear
            </button>

        </div>
    </div>
    </div>
    <div class="table-responsive p-1">
            <table id="patient_table" class="table table-striped text-center table-bordered">
          <thead>
              <tr>
                  <th>Sl No</th>
                  <th>Name</th>
                  <th>Age</th>
                  <th>Sex</th>
                  <th>Phone No</th>
                  <th>Entry Date</th>
                  <th>City</th>
                  <th>Actions</th>
              </tr>
          </thead>
      </table>
  </div>
</div>
</div>
<!-- {% load static %}
     <script src="{% static 'datatable.js' %}"></script> -->

<script>

 $(document).ready(function() {
     var table = $('#patient_table').DataTable({
         "serverSide": true,
         "ajax": "{% url "patients:datalist" %}",
         //   "lengthMenu": [[10, 20, 50], [10, 20, 50]],
         "lengthChange": false,
         "searching": true,
         "sDom": 't<"float-right d-inline-flex p-2"p>',
         "columnDefs": [
             {"searchable": false,
              "orderable": false,
              "targets": 0
             } ],
         "order": [[ 1, 'asc' ]]

     });


     table.on( 'order.dt search.dt', function () {
         table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i)
             {
                 cell.innerHTML = i+1;
             } );
     } ).draw();



     $('#name').keyup(function(){
         table.column(1).search($(this).val()).draw();
     });

     $('#phone').keyup(function(){
         table.column(4).search($(this).val()).draw();
     });

     $('#clearfield').click(function(){
         $('#name').val('');
         $('#phone').val('');
         $('#calendar-time').val('');
         table.column(1).search('').draw();
         table.column(5).search('').draw();
         table.column(4).search('').draw();

     }); 

  	 flatpickr(document.getElementById('calendar-time'), {
         defaultDate: $('#calendar-time').val(),
         onChange: function(selectedDates, dateStr, instance) {
             $('#calendar-time').val(dateStr);
             console.log($('#calendar-time').val());
             console.log(dateStr);
             table.column(5).search(dateStr).draw();

         },

     });
 });


</script>

{% endblock content %}
